tsp {stats} | R Documentation

## Tsp Attribute of Time-Series-like Objects

### Description

`tsp` returns the `tsp` attribute (or `NULL`). It is included for compatibility with S version 2. `tsp<-` sets the `tsp` attribute. `hasTsp` ensures `x` has a `tsp` attribute, by adding one if needed.

### Usage

    tsp(x)
    tsp(x) <- value
    hasTsp(x)

### Arguments

`x` | a vector or matrix or univariate or multivariate time-series.
`value` | a numeric vector of length 3 or `NULL`.

### Details

The `tsp` attribute gives the start time in time units, the end time and the frequency (the number of observations per unit of time, e.g. 12 for a monthly series).

Assignments are checked for consistency.

Assigning `NULL` which removes the `tsp` attribute and any `"ts"` (or `"mts"`) class of `x`.

### Value

An object which differs from `x` only in the `tsp` attribute (unless `NULL` is assigned).

`hasTsp` adds, if needed, an attribute with a start time and frequency of 1 and end time `NROW(x)`.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`ts`, `time`, `start`.

[Package stats version 3.3.0 Index]